<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('admins', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->string('premises')->default(2);
            $table->string('number');
            $table->string('password');
            $table->string('url')->nullable();
            $table->string('color1',20)->nullable();
            $table->string('color2',20)->nullable();
            $table->tinyInteger('deleted')->nullable()->default(0);
            $table->rememberToken();
            $table->timestamps();
        });

    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
//        Schema::dropIfExists('tasks');
//        Schema::dropIfExists('admins');

    }
};
